rireturn
Prev | Orchestra Opcodes and Operators | Next

## rireturn

rireturn — Terminates a reinit pass.

## Description

Terminates a reinit pass (i.e., no-op at standard i-time). This statement, or an endin, will cause normal performance to be resumed.

## Syntax

                rireturn

## Examples

The following statements will generate an exponential control signal whose value moves from 440 to 880 exactly ten times over the duration p3. They use the file reinit.csd.

Example 909. Example of the rireturn opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    ; Audio out   Audio in
    -odac      ;;;RT audio out
    ; For Non-realtime ouput leave only the line below:
    ; -o reinit.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    sr = 44100
    ksmps = 32
    nchnls = 2
    0dbfs  = 1

    instr 1

    reset:
            timout 0, p3/p4, contin
            reinit reset

    contin:
            kLine expon 440, p3/p4, 880
            aSig poscil 1, kLine
            outs aSig, aSig
            rireturn

    endin

    </CsInstruments>
    <CsScore>

    i1 0 10 10
    i1 + 10 50
    e
    </CsScore>
    </CsoundSynthesizer>

## See also

Initialization and Reinitialization

Prev | Up | Next
rigoto | Home | rms